%global eclipse_base        %{_libdir}/eclipse
%global install_loc         %{_datadir}/eclipse/dropins
# Taken from update site so we match upstream
#  http://download.eclipse.org/mylyn/archive/3.6.0/v20110608-1400/
%global qualifier           v20110908-0706

Name: eclipse-mylyn-ide
Summary: Mylyn Context Connector: Eclipse IDE
Version: 3.7.0
Release: 1%{?dist}
License: EPL
URL: http://www.eclipse.org/mylyn

# bash fetch-eclipse-mylyn-ide.sh
Source0: eclipse-mylyn-ide-R_3_7_0-fetched-src.tar.bz2
Source1: fetch-eclipse-mylyn-ide.sh

BuildArch: noarch

BuildRequires: java-devel >= 1.5.0
BuildRequires: eclipse-platform >= 1:3.8.0
BuildRequires: eclipse-pde >= 1:3.8.0
BuildRequires: eclipse-mylyn >= 3.7.0
BuildRequires: eclipse-mylyn-context >= 3.7.0
BuildRequires: eclipse-mylyn-context-team >= 3.6.0

Requires: eclipse-platform >= 1:3.8.0
Requires: eclipse-mylyn >= 3.7.0
Requires: eclipse-mylyn-context >= 3.7.0
Requires: eclipse-mylyn-context-team >= 3.7.0
Obsoletes: eclipse-mylyn-ide < %{version}-%{release}

Group: Development/Tools

%description
Mylyn Task-Focused UI extensions for the Eclipse IDE. 
Provides focusing of common IDE views and editors.

%prep
%setup -q -n eclipse-mylyn-ide-R_3_7_0-fetched-src

%build
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.mylyn.ide_feature \
 -a "-DjavacSource=1.5 -DjavacTarget=1.5 -DforceContextQualifier=%{qualifier} -DmylynQualifier=%{qualifier}" \
 -d "mylyn-commons mylyn mylyn-context mylyn-context-team"

%install
install -d -m 755 %{buildroot}%{_datadir}/eclipse
install -d -m 755 %{buildroot}%{install_loc}/mylyn-ide

unzip -q -o -d %{buildroot}%{install_loc}/mylyn-ide \
 build/rpmBuild/org.eclipse.mylyn.ide_feature.zip

%files
%defattr(-,root,root,-)
%{install_loc}/mylyn-ide
%doc org.eclipse.mylyn.ide-feature/epl-v10.html
%doc org.eclipse.mylyn.ide-feature/license.html

%changelog
* Mon Mar 26 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.7.0-1
- Update to upstream 3.7.0 release.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 28 2011 Andrew Robinson <arobinso@redhat.com> 3.6.4-1
- Update to upstream 3.6.4 release.

* Mon Oct 31 2011 Andrew Robinson <arobinso@redhat.com> 3.6.3-1
- Update to upstream 3.6.3 release.

* Fri Oct 7 2011 Andrew Robinson <arobinso@redhat.com> 3.6.2-1
- Update to upstream 3.6.2.

* Thu Jul 14 2011 Severin Gehwolf <sgehwolf@redhat.com> 3.6.0-1
- Update to upstream's 3.6.0 release.

* Tue Apr 26 2011 Severin Gehwolf <sgehwolf@redhat.com> 3.5.1-1
- Update to upstream 3.5.1.

* Mon Apr 18 2011 Severin Gehwolf <sgehwolf@redhat.com> 3.5.0-2
- Make setup quiet.
- Removed rm -rf of buildroot in install section.

* Fri Apr 15 2011 Severin Gehwolf <sgehwolf@redhat.com> 3.5.0-1
- Introduce eclipse-mylyn-ide required for Mylyn 3.5.0 RPM restructuring.
